io.undertow.server.handlers.resource

## Class PathResourceManager.Builder

- java.lang.Object
- - io.undertow.server.handlers.resource.PathResourceManager.Builder

Enclosing class:
  PathResourceManager

    public static final class PathResourceManager.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`ResourceManager` `build()`
`PathResourceManager.Builder` `setAllowResourceChangeListeners(boolean allowResourceChangeListeners)`
`PathResourceManager.Builder` `setBase(Path base)`
`PathResourceManager.Builder` `setCaseSensitive(boolean caseSensitive)`
`PathResourceManager.Builder` `setETagFunction(PathResourceManager.ETagFunction eTagFunction)`
`PathResourceManager.Builder` `setFollowLinks(boolean followLinks)`
`PathResourceManager.Builder` `setSafePaths(String[] safePaths)`
`PathResourceManager.Builder` `setTransferMinSize(long transferMinSize)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setBase

    public PathResourceManager.Builder setBase(Path base)

#### setTransferMinSize

    public PathResourceManager.Builder setTransferMinSize(long transferMinSize)

#### setCaseSensitive

    public PathResourceManager.Builder setCaseSensitive(boolean caseSensitive)

#### setFollowLinks

    public PathResourceManager.Builder setFollowLinks(boolean followLinks)

#### setAllowResourceChangeListeners

    public PathResourceManager.Builder setAllowResourceChangeListeners(boolean allowResourceChangeListeners)

#### setETagFunction

    public PathResourceManager.Builder setETagFunction(PathResourceManager.ETagFunction eTagFunction)

#### setSafePaths

    public PathResourceManager.Builder setSafePaths(String[] safePaths)

#### build

    public ResourceManager build()